﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows;
using Infragistics.Windows.DataPresenter;
using System.Globalization;
using IGDocumentation;

namespace DataGridfuncs
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        XamDataGrid xamDataGrid1;
        CarsBusinessLogic cbl;

        public MainWindow()
        {
            InitializeComponent();
        }

        private void grid_Loaded(object sender, RoutedEventArgs e)
        {
            cbl = new CarsBusinessLogic();  

            xamDataGrid1 = new XamDataGrid();
            xamDataGrid1.FieldLayoutSettings.AutoGenerateFields = false;
            xamDataGrid1.DataSource = cbl.GetCars();
            xamDataGrid1.FieldLayoutInitialized += new EventHandler<Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs>(xamDataGrid1_FieldLayoutInitialized);
            this.grid.Children.Add(xamDataGrid1);
            
        }

        void xamDataGrid1_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            Field modelField = new Field
            {
                Name = "Model",
                Label = "Model"
            };

            Field mileageField = new Field
            {
                Name = "Mileage",
                Label = "Mileage"
            };

            e.FieldLayout.Fields.Add(modelField);
            e.FieldLayout.Fields.Add(mileageField);
        }

     

    
        

        
    }

 
                
}
